| ioPAC RTU Controllers C/C++ Sample Code Programming Guide

- Main Page
- Modules
- Data Structures
- Files

Functions
DIOEvent
Library » IOEvent

## Functions
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Register (UINT8 slot, UINT8 channel, UINT32 trigger, int *handle)
| Please refer to MX_RTU_DI_Event_Register . More...
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Unregister (int handle)
| Please refer to MX_RTU_DI_Event_Unregister . More...
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Get (int handle, UINT32 *status, struct Timestamp *time)
| Please refer to MX_RTU_DI_Event_Get . More...
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Set_Trigger (int handle, UINT32 trigger)
| Please refer to MX_RTU_DI_Event_Set_Trigger . More...
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Get_Trigger (int handle, UINT32 *trigger)
| Please refer to MX_RTU_DI_Event_Get_Trigger . More...
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Count (int handle, UINT32 *count)
| Please refer to MX_RTU_DI_Event_Count . More...
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Clear (int handle)
| Please refer to MX_RTU_DI_Event_Clear . More...
IO_ERR_CODE | MX_RTU_DIO_DI_Event_Reset ()
| Please refer to MX_RTU_DI_Event_Reset . More...

## Detailed Description

Sample Code:
dio_event.c

## Function Documentation

IO_ERR_CODE MX_RTU_DIO_DI_Event_Register | ( | UINT8 | slot,
|  | UINT8 | channel,
|  | UINT32 | trigger,
|  | int * | handle
| ) |  |

Please refer to MX_RTU_DI_Event_Register .

IO_ERR_CODE MX_RTU_DIO_DI_Event_Unregister | ( | int | handle | ) |

Please refer to MX_RTU_DI_Event_Unregister .

IO_ERR_CODE MX_RTU_DIO_DI_Event_Get | ( | int | handle,
|  | UINT32 * | status,
|  | struct Timestamp * | time
| ) |  |

Please refer to MX_RTU_DI_Event_Get .

IO_ERR_CODE MX_RTU_DIO_DI_Event_Set_Trigger | ( | int | handle,
|  | UINT32 | trigger
| ) |  |

Please refer to MX_RTU_DI_Event_Set_Trigger .

IO_ERR_CODE MX_RTU_DIO_DI_Event_Get_Trigger | ( | int | handle,
|  | UINT32 * | trigger
| ) |  |

Please refer to MX_RTU_DI_Event_Get_Trigger .

IO_ERR_CODE MX_RTU_DIO_DI_Event_Count | ( | int | handle,
|  | UINT32 * | count
| ) |  |

Please refer to MX_RTU_DI_Event_Count .

IO_ERR_CODE MX_RTU_DIO_DI_Event_Clear | ( | int | handle | ) |

Please refer to MX_RTU_DI_Event_Clear .

IO_ERR_CODE MX_RTU_DIO_DI_Event_Reset | ( |  | ) |

Please refer to MX_RTU_DI_Event_Reset .